org.eclipse.actf.model.dom.odf.draw

## Interface StrokeDashElement

All Superinterfaces:
  Element, Node, ODFElement

    public interface StrokeDashElement
    extends ODFElement

Interface for <draw:stroke-dash> element.

### Field Summary

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

### Method Summary

Methods
`String` `getAttrDrawDisplayName()` Return draw:display-name attribute
`String` `getAttrDrawDistance()` Return draw:distance attribute
`int` `getAttrDrawDots1()` Return draw:dots1 attribute
`String` `getAttrDrawDots1Length()` Return draw:dots1-length attribute
`int` `getAttrDrawDots2()` Return draw:dots2 attribute
`String` `getAttrDrawDots2Length()` Return draw:dots2-length attribute
`String` `getAttrDrawName()` Return draw:name attribute
`String` `getAttrDrawStyle()` Return draw:style attribute

### Methods inherited from interface org.w3c.dom.Element

`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

### Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

### Method Detail

#### getAttrDrawName

    String getAttrDrawName()

Return draw:name attribute

Returns:
  String

#### getAttrDrawDisplayName

    String getAttrDrawDisplayName()

Return draw:display-name attribute

Returns:
  String

#### getAttrDrawStyle

    String getAttrDrawStyle()

Return draw:style attribute

Returns:
  String

#### getAttrDrawDots1

    int getAttrDrawDots1()

Return draw:dots1 attribute

Returns:
  int

#### getAttrDrawDots1Length

    String getAttrDrawDots1Length()

Return draw:dots1-length attribute

Returns:
  String

#### getAttrDrawDots2

    int getAttrDrawDots2()

Return draw:dots2 attribute

Returns:
  int

#### getAttrDrawDots2Length

    String getAttrDrawDots2Length()

Return draw:dots2-length attribute

Returns:
  String

#### getAttrDrawDistance

    String getAttrDrawDistance()

Return draw:distance attribute

Returns:
  String